var idConteudo = ""
var idUserMobile = ""

async function getInfo() {
  const val = await
    fetch('https://aprendamais.connectapps.com.br/novoAprendaMaisAPI/mobile/gravarHistorico')
      .then(function (response) {
        return response.json();
      }).then(function (json) {
        dados = json.response;
        idConteudo = dados.idConteudo;
        idUserMobile = dados.idUserMobile;
        return true;
      }).catch(function (error) {
        console.log(error);
        return error;
      });
  console.log(val);
  return val;
}
async function setComplete() {
  const val = await
    fetch("https://aprendamais.connectapps.com.br/novoAprendaMaisAPI/mobile" + "/gravarHistoricoupt/iduser=" + idUserMobile + "&idConteudo=" + idConteudo)
      .then(function (response) {
        alert("Sua participação no curso foi registrada com sucesso!");
        if (window.ReactNativeWebView) {
          window.ReactNativeWebView.postMessage("REDIRECT");
        }
        return response.json();
      }).catch(function (error) {
        console.log(error);
        return error;
      });
  return val;
}
$(document).ready(function () {
  getInfo();
})
$('#enviar').click(function (e) {
  setComplete();
  return false;
});

// $('#download').click(function (e) {
//   if (window.ReactNativeWebView) {
//     window.ReactNativeWebView.postMessage("https://trncomercial.com.br/pdf/pap/PAP_PDF_Movel_SVA.pdf");
//   }
//   $('html, body').animate({
//     scrollTop: $('#areaFinal').offset().top
//   }, 500);
// });